MATLAB Answers

Android API version error while building simulink app in android device

12 views (last 30 days)
Mansi Badadhe
Mansi Badadhe on 15 May 2020
Commented: Sutanu Maiti on 31 Mar 2021 at 11:11
Hi,
I am trying to build and deploy my simulink app in my android device with android version 10 (API 29) and I am getting the following error:
Android NDK: WARNING: APP_PLATFORM android-17 is higher than android:minSdkVersion 1
If I select 'Monitor and Tune' from the hardware pane, the app runs perfectly fine in the device. Also, while setting up the device, the Android studio checks if your device is able to run the app by building, installing and running a sample app and that also worked well.
By following the answers to the relative questions on matlab help, I made the following changes in the build.gradle file (these changes can also be made through Android Studio. It just edits the build.gradle file):
compileSdkVersion 29
buildToolsVersion '29.0.3'
and, minSdkVersion 17
targetSdkVersion 29
Also, tried inputting minSdkVersion 1 for trial and error purpose but getting the same error.

Accepted Answer

Sutanu Maiti
Sutanu Maiti on 22 May 2020
Thats a warning not an error. warnings does not stop build process. Error message must be below to that. Can you please copy entire error message from diagonostic viewer to here?
  6 Comments
Sutanu Maiti
Sutanu Maiti on 31 Mar 2021 at 11:11
The path should not have any folder with spaces or any special charecters in it. Also, android ndk build does not work well with network drives. Better to have any folder on local disk with small and simple path location.

Sign in to comment.

More Answers (0)

Products


Release

R2019b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!